function FormExpression_Same(Opts)

folderName = Opts.folderName;
Mtrain= Opts.Mtrain;
%doFolderTransfer = Opts.doFolderTransfer;
doFolderTransfer = 0;
%doRFC_Transfer = Opts.doRFC_Transfer;
doRFC_Transfer = 0;
continuous = Opts.continuous;
im_resize_value = (Opts.im_size)/64;

is_predefined_select = Opts.is_predefined_select;
if (is_predefined_select)
    im_select_path = Opts.im_select_path;
end

trial = Opts.trial;

checkWord = 'JSM_Face_Recognition';
currentPath = pwd;
checkPath = currentPath(end-19:end);

if ~strcmp(checkPath,checkWord)
    error('Please cd to the correct directory before running the program... cd...\JSM_Face_Recognition');
end

savepwd = pwd;

RootDataBasePath = 'D:\Pradeep\faceExpressionDatabase2\';
fname = dir(strcat(RootDataBasePath,'*.jpg'));

RootTrainingPath = strcat(pwd,'\Database_Training_Image_MATLAB_Files\',folderName,'\');
DataBaseRoot = RootDataBasePath;
RootTestImagePath = strcat(pwd,'\TestSet_Database\');
RootTestImagePath = strcat(RootTestImagePath,folderName,'\');
    
try
    cd(RootTrainingPath);
    cd(savepwd);    
catch
    cd(strcat(pwd,'\Database_Training_Image_MATLAB_Files\'));
    mkdir(folderName);
    cd(savepwd);
end

try
    cd(RootTestImagePath);
    cd(savepwd);
catch
    cd(strcat(pwd,'\TestSet_Database\'));
    mkdir(folderName);
    cd(savepwd);
end

cd(strcat(RootTrainingPath));
mkdir Face_Database;
mkdir JSM_data;
mkdir RandomMatrix;

M_sum = 75;
T = 75
Mtest = M_sum-Mtrain;
NumClasses = 13;

if (is_predefined_select)
    cd(savepwd);
    load(im_select_path);
else
    trainImage = [];
    testImage = [];
end

if (~continuous)
    if (~is_predefined_select)
        randNum = randperm(T);
        trainImage1 = randNum(1:Mtrain);
        testImage1 = randNum(Mtrain+1:Mtrain+Mtest);
        trainImage = repmat(trainImage1',1,13);
        testImage = repmat(testImage1',1,13);
    end
else
    if (~is_predefined_select)
        [dummy minClass] = min(Mtrain);
        for class=1:13
            if (class == minClass)
                randImage = randperm(T);
                rand1 = randImage(1);
                trainImage(1:Mtrain,class) = rand1:Mtrain+rand1-1;

                for i=1:Mtrain
                    [v inx] = find(randImage == rand1+(i-1));
                    if(~isempty(v))
                        randImage(inx) = 0;
                    end
                end

                k=1;
                for i=1:(Mtrain +Mtest)
                    if(randImage(i) ~= 0)
                        testImage(k,class) = randImage(i);
                        k = k + 1;
                    end
                end
            else
                randImage = randperm(T);
                trainImage(1:Mtrain,class) = randImage(1:Mtrain);
                testImage(1:Mtest,class) = randImage(Mtrain+1:Mtrain+Mtest); 
            end
        end
    end
end

cd(strcat(RootTrainingPath,'Face_Database'));
for i=1:13
    ClassF = sprintf('ImageClass_%d',i);
    mkdir(ClassF);
end

cd(strcat(RootTrainingPath,'JSM_data'));
for i=1:13
    ClassF = sprintf('ImageClass_%d',i);
    mkdir(ClassF);
end


for i=1:13
    Class_Database_Path = strcat(DataBaseRoot,'class',sprintf('%d',i),'\');
    Image = dir(strcat(Class_Database_Path,'*.jpg'));
    M =Mtrain        
    for j=1:M
        SourceImagePath = strcat(Class_Database_Path,Image(trainImage(j,i)).name);
        DestinationImagePath = strcat(RootTrainingPath,'Face_Database\',sprintf('ImageClass_%d',i),'\',Image(trainImage(j,i)).name);
        x1 = imread(SourceImagePath);
        x2 = imresize(x1,im_resize_value, 'bilinear');
        imwrite(x2,DestinationImagePath);
    end
end

if (~is_predefined_select)
    cd(strcat(RootTrainingPath,'Face_Database'));
    save ImageSetSelect trainImage testImage;
end

for i=1:13
    Class_Database_Path = strcat(DataBaseRoot,'class',sprintf('%d',i),'\');
    Image = dir(strcat(Class_Database_Path,'*.jpg'));
    i

    for j=1:Mtest
        j
        SourceImagePath = strcat(Class_Database_Path,Image(testImage(j,i)).name);
        DestinationImagePath = strcat(RootTestImagePath,Image(testImage(j,i)).name);
        x1 = imread(SourceImagePath);
        x2 = imresize(x1,im_resize_value,'bilinear');
        imwrite(x2,DestinationImagePath);
    end
end

cd(savepwd);

if(doRFC_Transfer)

    RootTrainingPath = strcat(pwd,'\Database_Training_Image_MATLAB_Files\Statistics\',folderName,'\');
    DataBaseRoot = FormDataBase;
    RootTestImagePath = strcat(pwd,'\TestSet_Database\Statistics\');
    RootTestImagePath = strcat(RootTestImagePath,folderName,'\');

    checkWord = 'Robust_Face_Recognition';
    currentPath = savepwd;
    destPath = currentPath(end-19:end);
    destPath = 'C:\Personal\Work Research\Computer Vision\Working_Fall_2008\Robust_Face_Recognition'

    RootTrainingPath1 = strcat(destPath,'\Database_Training_Image_MATLAB_Files\Statistics\',folderName,'\');
    DataBaseRoot1 = FormDataBase;
    RootTestImagePath1 = strcat(destPath,'\TestSet_Database\Statistics\');
    cd(RootTestImagePath1);
    mkdir(folderName)
    RootTestImagePath1 = strcat(RootTestImagePath1,folderName,'\');

    cd(RootTestImagePath1);
    mkdir(folderName)

    try
        cd(RootTrainingPath1);
    catch
        cd(strcat(destPath,'\Database_Training_Image_MATLAB_Files\','Statistics\'));
        mkdir(folderName);
        cd(savepwd);
    end

    try
        cd(RootTestImagePath1);
    catch
        cd(strcat(pwd,'\TestSet_Database\Statistics\'));
        mkdir(folderName);
        cd(savepwd);
    end

    cd(RootTrainingPath1);
    mkdir Face_Database;
    
    RootTrainingPath1 = strcat(RootTrainingPath1,'\Face_Database');
    RootTrainingPath = strcat(RootTrainingPath,'\Face_Database');
    copyfile(RootTrainingPath,RootTrainingPath1);
    
    copyfile(RootTestImagePath,RootTestImagePath1);
end
    