function FormTraining_Testing_Set_YaleB(Opts)

Mtrain = Opts.Mtrain;
folderName = Opts.folderName;
im_size = Opts.im_size;
resize_factor = im_size/250;

checkWord = 'JSM_Face_Recognition';
currentPath = pwd;
checkPath = currentPath(end-19:end);
NumClasses = 10;

if ~strcmp(checkPath,checkWord)
    error('Please cd to the correct directory before running the program... cd...\JSM_Face_Recognition');
end

savepwd = pwd;

RootTrainingPath = strcat(pwd,'\Database_Training_Image_MATLAB_Files\',folderName,'\');
DataBaseRoot = 'C:\Personal\Work Research\Computer Vision\Working_Fall_2008\Database2\';
RootTestImagePath = strcat(pwd,'\TestSet_Database\');
RootTestImagePath = strcat(RootTestImagePath,folderName,'\');

try
    cd(RootTrainingPath);
catch
    cd(strcat(pwd,'\Database_Training_Image_MATLAB_Files\'));
    mkdir(folderName);
    cd(savepwd);
end

try
    cd(RootTestImagePath);
catch
    cd(strcat(pwd,'\TestSet_Database\'));
    mkdir(folderName);
    cd(savepwd);
end

cd(strcat(RootTrainingPath));
mkdir Face_Database;
mkdir JSM_data;
mkdir RandomMatrix;

M_sum = 64;
T = 64;
Mtest = M_sum-Mtrain;
M = Mtrain;

randImage = randperm(T);
trainImage(1:Mtrain) = randImage(1:Mtrain);
testImage(1:Mtest) = randImage(Mtrain+1:Mtrain+Mtest);

ClassName = {'yaleB01_P00', 'yaleB02_P00', 'yaleB03_P00', 'yaleB04_P00', 'yaleB05_P00', 'yaleB06_P00', 'yaleB07_P00', 'yaleB08_P00', 'yaleB09_P00', 'yaleB10_P00'};

cd(strcat(RootTrainingPath,'Face_Database'));
for i=1:NumClasses
    ClassF = sprintf('ImageClass_%d',i);
    mkdir(ClassF);
end


%cd(strcat(RootTrainingPath,'Face_Database'));
%load ImageSetSelect;

cd(strcat(RootTrainingPath,'JSM_data'));
for i=1:NumClasses
    ClassF = sprintf('ImageClass_%d',i);
    mkdir(ClassF);
end


for i=1:NumClasses
    Class_Database_Path = strcat(DataBaseRoot,ClassName{i},'\');
    Image = dir(strcat(Class_Database_Path,'*.jpg'));
    
    for j=1:M
        SourceImagePath = strcat(Class_Database_Path,Image(trainImage(j)).name);
        Im = imread(SourceImagePath);
        Im1 = imresize(Im,resize_factor,'bilinear');
        str = Image(trainImage(j)).name;
        str(end-3:end) = '.jpg'; 
        DestinationImagePath = strcat(RootTrainingPath,'Face_Database\',sprintf('ImageClass_%d',i),'\',str);
        imwrite(Im1,DestinationImagePath,'jpeg');
    end
end

cd(strcat(RootTrainingPath,'Face_Database'));
save ImageSetSelect trainImage testImage;

for i=1:NumClasses
    Class_Database_Path = strcat(DataBaseRoot,ClassName{i},'\');
    Image = dir(strcat(Class_Database_Path,'*.jpg'));
    i
    for j=1:Mtest
        j
        SourceImagePath = strcat(Class_Database_Path,Image(testImage(j)).name);
         Im = imread(SourceImagePath);
        Im1 = imresize(Im,resize_factor,'bilinear');
        str = Image(testImage(j)).name;
        str(end-3:end) = '.jpg'; 
        DestinationImagePath = strcat(RootTestImagePath,str);
        imwrite(Im1,DestinationImagePath,'jpeg');
    end
end

cd(savepwd);