function Form_CK_Data_Same(Opts)

folderName = Opts.folderName;
Mtrain = Opts.Mtrain;
continuous = Opts.continuous;
actual_size = Opts.im_size;

file_size = actual_size/64;

is_predefined_select = Opts.is_predefined_select;
if (is_predefined_select)
    im_select_path = Opts.im_select_path;
end

checkWord = 'JSM_Face_Recognition';
currentPath = pwd;
checkPath = currentPath(end-19:end);

if ~strcmp(checkPath,checkWord)
%    error('Please cd to the correct directory before running the program... cd...\JSM_Face_Recognition');
end

load count3.mat
M_sum = count_imgs;
savepwd = pwd;

RootDataBasePath = 'D:\Personal\Work Research\cohn-kanadeDatabase3\';
fname = dir(strcat(RootDataBasePath,'*.png'));

RootTrainingPath = strcat(pwd,'\Database_Training_Image_MATLAB_Files\',folderName,'\');
DataBaseRoot = RootDataBasePath;
RootTestImagePath = strcat(pwd,'\TestSet_Database\');
RootTestImagePath = strcat(RootTestImagePath,folderName,'\');
    
try
    cd(RootTrainingPath);
    cd(savepwd);
catch
    cd(strcat(savepwd,'\Database_Training_Image_MATLAB_Files\'));
    mkdir(folderName);
    cd(savepwd);
end

try
    cd(RootTestImagePath);
    cd(savepwd);
catch
    cd(strcat(savepwd,'\TestSet_Database\'));
    mkdir(folderName);
    cd(savepwd);
end

cd(strcat(RootTrainingPath));
mkdir Face_Database;
mkdir JSM_data;
mkdir RandomMatrix;

NumClasses = 97;
trainImageAll = [];
testImageAll = [];

cd(strcat(RootTrainingPath,'Face_Database'));
for i=1:NumClasses
    ClassF = sprintf('ImageClass_%d',i);
    mkdir(ClassF);
end

cd(strcat(RootTrainingPath,'JSM_data'));
for i=1:NumClasses
    ClassF = sprintf('ImageClass_%d',i);
    mkdir(ClassF);
end

if (is_predefined_select)
    cd(savepwd);
    load(im_select_path);
    MtestAll = Mtest; 
    trainImageAll = trainImages;
    testImageAll = testImages;
end

counterTrn =1;
counterTst = 1;
Mtest = [];
for i=1:NumClasses
    Class_Database_Path = strcat(DataBaseRoot,'class_',sprintf('%d',i),'\');
    Image = dir(strcat(Class_Database_Path,'*.png'));
    M_Total = 20;
    if (M_sum(i) < 20)
        M_Total = M_sum(i);
    end
    if (~is_predefined_select)    
    else
        Mtest = MtestAll(i);        
        trainImage = trainImageAll(counterTrn:counterTrn + Mtrain-1);
        testImage = testImageAll(counterTst:counterTst + Mtest-1);
        counterTrn = counterTrn + Mtrain;
        counterTst = counterTst + Mtest;
    end
    i
    for j=1:Mtrain
        actualimgName = Image(trainImage(j)).name;
        faceDatabaseimgName = strcat(actualimgName(1:end-3),'jpg');        
        SourceImagePath = strcat(Class_Database_Path,actualimgName);
        DestinationImagePath = strcat(RootTrainingPath,'Face_Database\',sprintf('ImageClass_%d',i),'\',faceDatabaseimgName);
        x1 = imread(SourceImagePath);
        x2 = imresize(x1,file_size);
        imwrite(x2,DestinationImagePath, 'jpeg');
    end
    
    for j=1:Mtest
        if i== 18
            a = 1;
        end
        j
        actualimgName = Image(testImage(j)).name;
        faceDatabaseimgName = strcat(actualimgName(1:end-3),'jpg');        
        SourceImagePath = strcat(Class_Database_Path,actualimgName);
        DestinationImagePath = strcat(RootTestImagePath,faceDatabaseimgName);
        x1 = imread(SourceImagePath);
        x2 = imresize(x1,file_size);
        imwrite(x2,DestinationImagePath);
    end
    
if (~is_predefined_select)    
    trainImageAll = [trainImageAll trainImage];
    testImageAll = [testImageAll testImage];
end
end

if (~is_predefined_select)    
    cd(strcat(RootTrainingPath,'Face_Database'));
    save ImageSetSelect trainImageAll testImageAll Mtrain; 
end

cd(savepwd);

