%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Author: Pradeep Nagesh, Arizona State University, USA (2007-2008)  
%         pnagesh@asu.edu
%         Face Recognition using Joint Sparsity Models
%
% Description: Run the Face Recognition System by setting up the parameters
% for a particular database
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function status = RunFace_Recognition()

%%                     Set up the parameters for training    

% Set Root Path According to your machine here
RootPath = 'C:\Documents and Settings\Pradeep.ASU-EA911D827DA\Desktop\JSM_Face_Recognition'
% Just to make sure you have cd to the right directory.
cd(RootPath);

L = 2;                         % Number of classes
M = 2;                          % Number of Images per Class
JSM_Data_Sample_Frac = [25];    % Percentage Measurement.  

%% Form a Database - Training and Testing and Store it in Folder "DataBaseName"

DataBaseName = 'DataBaseName1';

% See FR_Document for more on Folder Structure
%M = m*ones(1,L);    % Number of Images per Class
%Opts.im_size = im_size;
%Opts.folderName = DataBaseName;
%Opts.Mtrain = M(1);
%Opts.continuous = 1;
%Opts.trial = 1;

%Form_Data_Set_from_CK_Database(Opts)

%% Set Up Options

Options.SampleFraction = JSM_Data_Sample_Frac;
Options.M = M*ones(L,1);
Options.L = L;
Options.SizeImage = [64 64];                            % Size of Images - Assuming Normalized & Cropped
Options.SaveEveryResult = 0;                            % If you want to save intermediate results, set it to 1
Options.TransformBasis = 'DCT';                         %'DCT', this is not used currelty because only DCT is supported
Options.DataBaseName =   DataBaseName                   % Name of the Folder  
Options.Optimization_Algorithm = 'GPSR';                % l1 optimization algorithm (other supported: l1-magic, TV)
Options.twoDReconstruction = 1;                         % 2D or 1D for solving the l1 optimization, 2D preferred


%% Operations to be Done - Genrating Data, Training, Testing?

% 0 if not done, 1 if already done or not required
global checkJSM_dataGenerated; 
global checkJSM_TrainingDone;
global checkJSM_TestingDone;

checkJSM_dataGenerated = 0;            
checkJSM_TrainingDone = 0;
checkJSM_TestingDone = 0;

%% Invoke the Main Function passing Options as Parameter. You are DONE!

FaceTraining_mainFunction(Options);
